import { ExtendedRepositoryPort } from '@mobicoop/ddd-library';
import { AdEntity } from '../../domain/ad.entity';
import { Candidate } from '../types/algorithm.types';
import { MatchQuery } from '../queries/match/match.query';

export type AdRepositoryPort = ExtendedRepositoryPort<AdEntity> & {
  getCandidates(query: MatchQuery): Promise<Candidate[]>;
};
