import { Candidate, Processor } from '../../../types/algorithm.types';

export abstract class Completer implements Processor {
  execute = async (candidates: Candidate[]): Promise<Candidate[]> =>
    this.complete(candidates);

  abstract complete(candidates: Candidate[]): Promise<Candidate[]>;
}
