import { Candidate, Processor } from '../../../types/algorithm.types';

export abstract class Filter implements Processor {
  execute = async (candidates: Candidate[]): Promise<Candidate[]> =>
    this.filter(candidates);

  abstract filter(candidates: Candidate[]): Promise<Candidate[]>;
}
