import { Role } from '../../domain/ad.types';

export enum AlgorithmType {
  PASSENGER_ORIENTED = 'PASSENGER_ORIENTED',
}

export interface Processor {
  execute(candidates: Candidate[]): Promise<Candidate[]>;
}

export type Candidate = {
  ad: Ad;
  role: Role;
};

export type Ad = {
  id: string;
};
